POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "ad02f55a-4b61-439c-955f-a7f8f09d8159",
"batch_id": "bfb4fa83-a808-41cf-983b-55817fa549da",
"medistream_id": "5f9b2534-acfd-43f1-a48d-8b012650bf64",
"witness_id": "886e7816-15f1-4e27-a273-841e0f3739ad",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-09-25T21:07:51.5228195+00:00",
"stop_time": "2026-09-25T21:07:51.5228195+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>bfb4fa83-a808-41cf-983b-55817fa549da</batch_id> <compartment>1</compartment> <id>ad02f55a-4b61-439c-955f-a7f8f09d8159</id> <medistream_id>5f9b2534-acfd-43f1-a48d-8b012650bf64</medistream_id> <start_time>2026-09-25T21:07:51.5228195+00:00</start_time> <stop_time>2026-09-25T21:07:51.5228195+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>886e7816-15f1-4e27-a273-841e0f3739ad</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3db9cdfa-4acf-4420-a073-c06b33b04ed0"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3db9cdfa-4acf-4420-a073-c06b33b04ed0</guid>